import React, { useEffect, useState } from "react";
import useFetch from "../hooks/useFetch";

const HomePage = () => {
    const [inputValue, setInputValue] = useState("")
    const [searchValue, setSearchValue] = useState("")

    const url = import.meta.env.VITE_BASE_URL;
    console.log("URL =", `${url}s=${searchValue}`)
    const data = useFetch(`${url}s=${searchValue}`);

    // console.log("DATA = ", data)

    const handleSearch = (event) => {
        event.preventDefault();
        setSearchValue(inputValue);
    };
    return (
        <div className=" min-h-[90vh] w-full pt-[10vh] bg-primary flex justify-center">
            <div>
                <form className="">
                    <input
                        type="text"
                        name="search"
                        id="search"
                        value={inputValue}
                        onChange={(event) => setInputValue(event?.target?.value)}
                        className="p-1 text-quadnary bg-primary rounded outline-none border border-ternary"
                    />
                    <button type="button"  className="text-quadnary" onClick={handleSearch}>
                        Search
                    </button>
                </form>
            </div>
        </div>
    );
};

export default HomePage;
